<?php

namespace Drupal\library_manager\Tests;

/**
 * Tests settings form.
 *
 * @group library_manager
 */
class SettingsFormTest extends TestBase {

  /**
   * Tests settings form.
   */
  public function testSettingsForm() {
    $this->drupalGet('admin/structure/library/settings');

    $form_prefix = '//form[@id="library-manager-settings"]';
    $this->assertByXpath($form_prefix . '//input[@name="codemirror[cdn]" and @checked="checked"]');
    $this->assertByXpath($form_prefix . '//input[@name="libraries_path" and @value="sites/default/files/libraries/custom"]');

    $edit = [
      'codemirror[cdn]' => FALSE,
      'libraries_path' => 'sites/default/files/foo',
    ];
    $this->drupalPostForm(NULL, $edit, 'Save configuration');

    $this->assertStatusMessage('The configuration options have been saved.');

    $this->assertByXpath($form_prefix . '//input[@name="codemirror[cdn]" and not(@checked)]');
    $this->assertByXpath($form_prefix . '//input[@name="libraries_path" and @value="sites/default/files/foo"]');

  }

}
